package unibo.cs.labss.editor.il.commands;

import org.eclipse.gef.commands.Command;
import unibo.cs.labss.editor.il.model.impl.IntegerLiteral;


public class ChangeIntegerLiteralCommand extends Command {
	private IntegerLiteral source;
	private int oldValue, newValue;

	public void execute() {
		source.setVal(newValue);
	}
	public void undo() {
		source.setVal(oldValue);
	}

	public void setSource(IntegerLiteral literal) {
		source = literal;
	}
	public void setOldValue(int value) {
		oldValue = value;
	}
	public void setNewValue(int value) {
		newValue = value;
	}
}
