package unibo.cs.labss.editor.il.commands;

import org.eclipse.gef.commands.Command;
import unibo.cs.labss.editor.il.model.impl.Variable;

public class RenameVariableCommand extends Command {
	private Variable source;
	private String oldValue, newValue;

	public void execute() {
		source.setId(newValue);
	}
	public void undo() {
		source.setId(oldValue);
	}

	public void setSource(Variable variable) {
		source = variable;
	}
	public void setOldValue(String value) {
		oldValue = value;
	}
	public void setNewValue(String value) {
		newValue = value;
	}
}
