package unibo.cs.labss.editor.il.figures;

import org.eclipse.draw2d.IFigure;

import unibo.cs.labss.editor.figures.GrammarRuleFigure;

/**
 * @author Riccardo Solmi
 */
public class BinaryExpressionFigure extends GrammarRuleFigure {
	private IFigure p1,p2,p3,p4;
	
	public BinaryExpressionFigure(String operatorLabel) {
    	layout.setHorizontalSpacing(2);
        
    	p1 = addParenthesis("(");
    	addChildPlace();
    	p2 = addParenthesis(")");
    	addOperator(operatorLabel);
    	p3 = addParenthesis("(");
    	addChildPlace();
    	p4 = addParenthesis(")");

    	showLeftParen(false);
    	showRightParen(false);
	}
    
    public void showLeftParen(boolean val) {
    	p1.setVisible(val);
    	p2.setVisible(val);
    }
    
    public void showRightParen(boolean val) {
    	p3.setVisible(val);
    	p4.setVisible(val);
    }
}
