package unibo.cs.labss.editor.il.figures;

import org.eclipse.draw2d.IFigure;

import unibo.cs.labss.editor.figures.GrammarRuleFigure;


/**
 * @author Riccardo Solmi
 */
public class WhileStatementFigure extends GrammarRuleFigure {
	private IFigure p1, p2;
	
	public WhileStatementFigure() {
		addKeyword("while");
		addDelimiter("(");
    	addChildPlace();
    	addDelimiter(")");
		p1 = addDelimiter("{");

		nextRow();
		addIndent();
    	addChildPlace();
		
    	nextRow();
    	p2 = addDelimiter("}");
		
		showBraces(false);
	}
	
	public void showBraces(boolean val) {
		p1.setVisible(val);
		p2.setVisible(val);
	}
}
