package unibo.cs.labss.editor.il.model.impl;

import unibo.cs.labss.editor.il.model.Literal;


/**
 * @author Riccardo Solmi
 */
public abstract class AbstractLiteral extends AbstractExpression implements Literal {
	public AbstractLiteral(OperatorGroup precedence) {
		super(precedence);
	}

	public Literal evaluate() {
		return this;
	}

	public int intValue() {
		throw new IllegalArgumentException("expected int found boolean");
	}

	public boolean booleanValue() {
		throw new IllegalArgumentException("expected boolean found int");
	}
}