package unibo.cs.labss.editor.il.model.impl;

import unibo.cs.labss.editor.il.model.Expression;
import unibo.cs.labss.editor.il.model.IntegerExpression;
import unibo.cs.labss.editor.il.model.IILVisitor;

/**
 * @author Riccardo Solmi
 */
public class AdditionExpression extends AbstractBinaryExpression implements IntegerExpression {
	public AdditionExpression() {
		this(null, null);
	}
	public AdditionExpression(Expression exp1, Expression exp2) {
		super(OperatorGroup.ADDITIVE, exp1, exp2, " + ");
	}

	public void accept(IILVisitor visitor) {
		visitor.visitAddition(this);
	}
}