package unibo.cs.labss.editor.il.model.impl;

import unibo.cs.labss.editor.il.model.Expression;
import unibo.cs.labss.editor.il.model.IILVisitor;
import unibo.cs.labss.editor.il.model.LogicalExpression;

/**
 * @author Riccardo Solmi
 */
public class AndExpression extends AbstractBinaryExpression implements LogicalExpression {
	public AndExpression() {
		this(null, null);
	}
	public AndExpression(Expression exp1, Expression exp2) {
		super(OperatorGroup.LOGICAL_AND, exp1, exp2, " & ");
	}

	public void accept(IILVisitor visitor) {
		visitor.visitAnd(this);
	}
}