package unibo.cs.labss.editor.il.model.impl;

import java.util.ListIterator;

import unibo.cs.labss.editor.il.model.IILVisitor;
import unibo.cs.labss.editor.il.model.Statement;
import unibo.cs.labss.editor.model.AbstractCompositeEntity;

/**
 * @author Riccardo Solmi
 */
public class BlockStatement extends AbstractCompositeEntity implements Statement {
	public BlockStatement() {
		super();
	}
	public BlockStatement(Statement[] stms) {
		super(stms);
	}

    public Object clone() {
    	BlockStatement bs = (BlockStatement)super.clone();
		ListIterator i = bs.listIterator();
		while (i.hasNext())
			i.set(((Statement)i.next()).clone());
		return bs;
	}

    public void accept(IILVisitor visitor) {
		visitor.visitBlock(this);
	}
}
