package unibo.cs.labss.editor.il.model.impl;

import java.io.PrintStream;

import unibo.cs.labss.editor.il.model.IILVisitor;
import unibo.cs.labss.editor.il.model.Literal;

/**
 * @author Riccardo Solmi
 */
public class EmptyExpression extends AbstractExpression {
	private static final String EMPTYEXPR = "empty";
	public EmptyExpression() {
		super(OperatorGroup.LITERAL);
	}

	public void prettyPrint(PrintStream out) {
		out.print(EMPTYEXPR);
	}

	public String toString() {
		return EMPTYEXPR;
	}

	public Literal evaluate() {
		throw new IllegalStateException();
	}

	public void accept(IILVisitor visitor) {
		visitor.visitEmpty(this);
	}
}
