package unibo.cs.labss.editor.il.model.impl;

import java.io.PrintStream;

import unibo.cs.labss.editor.model.AbstractEntity;
import unibo.cs.labss.editor.model.IEntity;
import unibo.cs.labss.editor.il.model.IILVisitor;
import unibo.cs.labss.editor.il.model.Statement;

/**
 * @author Riccardo Solmi
 */
public class EmptyStatement extends AbstractEntity implements Statement {

	public EmptyStatement() {
	}

	public void prettyPrint(PrintStream out) {
	}

	public void execute() {
	}

	public void replaceChild(IEntity oldChild, IEntity newChild) {
		throw new IllegalArgumentException();
	}

	public void accept(IILVisitor visitor) {
		visitor.visitEmpty(this);
	}
}
