package unibo.cs.labss.editor.il.model.impl;

import unibo.cs.labss.editor.il.model.BooleanExpression;
import unibo.cs.labss.editor.il.model.Expression;
import unibo.cs.labss.editor.il.model.IILVisitor;

/**
 * @author Riccardo Solmi
 */
public class EqualsExpression extends AbstractBinaryExpression implements BooleanExpression {
	public EqualsExpression() {
		this(null, null);
	}
	public EqualsExpression(Expression exp1, Expression exp2) {
		super(OperatorGroup.EQUALITY, exp1, exp2, " == ");
	}

	public void accept(IILVisitor visitor) {
		visitor.visitEquals(this);
	}
}
