package unibo.cs.labss.editor.il.model.impl;

import unibo.cs.labss.editor.il.model.Expression;
import unibo.cs.labss.editor.il.model.IntegerExpression;
import unibo.cs.labss.editor.il.model.IILVisitor;

/**
 * @author Riccardo Solmi
 */
public class MultiplicationExpression extends AbstractBinaryExpression implements IntegerExpression {
	public MultiplicationExpression() {
		this(null, null);
	}
	public MultiplicationExpression(Expression exp1, Expression exp2) {
		super(OperatorGroup.MULTIPLICATIVE, exp1, exp2, " * ");
	}

	public void accept(IILVisitor visitor) {
		visitor.visitMultiplication(this);
	}
}