package unibo.cs.labss.editor.il.model.impl;

import unibo.cs.labss.editor.il.model.Expression;
import unibo.cs.labss.editor.il.model.IntegerExpression;
import unibo.cs.labss.editor.il.model.IILVisitor;

/**
 * @author Riccardo Solmi
 */
public class SubtractionExpression extends AbstractBinaryExpression implements IntegerExpression {
	public SubtractionExpression() {
		this(null, null);
	}
	public SubtractionExpression(Expression exp1, Expression exp2) {
		super(OperatorGroup.ADDITIVE, exp1, exp2, " - ");
	}

	public void accept(IILVisitor visitor) {
		visitor.visitSubtraction(this);
	}
}