package unibo.cs.labss.editor.il.parts;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.draw2d.IFigure;

import unibo.cs.labss.editor.il.figures.AssignmentStatementFigure;
import unibo.cs.labss.editor.il.model.impl.AssignmentStatement;
import unibo.cs.labss.editor.parts.AbstractPart;

/**
 * @author Riccardo Solmi
 */
public class AssignmentStatementPart extends AbstractPart {
    protected IFigure createFigure() {
        return new AssignmentStatementFigure();
    }

    protected AssignmentStatement getAssignmentStatement() {
        return (AssignmentStatement)getModel();
    }
    
    protected List getModelChildren() {
    	List children = new ArrayList(2);
    	children.add(getAssignmentStatement().getId());
    	children.add(getAssignmentStatement().getExp());
    	return children;
    }
}
