package unibo.cs.labss.editor.il.policies;

import org.eclipse.draw2d.Label;
import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.DirectEditPolicy;
import org.eclipse.gef.requests.DirectEditRequest;
import unibo.cs.labss.editor.il.model.impl.Variable;
import unibo.cs.labss.editor.il.commands.RenameVariableCommand;

public class VariableDirectEditPolicy extends DirectEditPolicy {

	protected Command getDirectEditCommand(DirectEditRequest request) {
		RenameVariableCommand cmd = new RenameVariableCommand();
		cmd.setSource((Variable) getHost().getModel());
		cmd.setOldValue(((Variable) getHost().getModel()).getId());
		cmd.setNewValue((String) request.getCellEditor().getValue());
		return cmd;
	}

	protected void showCurrentEditValue(DirectEditRequest request) {
		String value = (String) request.getCellEditor().getValue();
		((Label) getHostFigure()).setText(value);
		//hack to prevent async layout from placing the cell editor twice.
		//	getHostFigure().getUpdateManager().performUpdate();
	}
}
