package unibo.cs.labss.editor.il.commands;

import org.eclipse.gef.commands.Command;
import unibo.cs.labss.editor.il.model.impl.BooleanLiteral;


public class ChangeBooleanLiteralCommand extends Command {
	private BooleanLiteral source;
	private boolean oldValue, newValue;

	public void execute() {
		source.setVal(newValue);
	}
	public void undo() {
		source.setVal(oldValue);
	}

	public void setSource(BooleanLiteral literal) {
		source = literal;
	}
	public void setOldValue(boolean value) {
		oldValue = value;
	}
	public void setNewValue(boolean value) {
		newValue = value;
	}
}
