package unibo.cs.labss.editor.il.figures;

import org.eclipse.draw2d.IFigure;

import unibo.cs.labss.editor.figures.GrammarRuleFigure;


/**
 * @author Riccardo Solmi
 */
public class IfElseStatementFigure extends GrammarRuleFigure {
	IFigure p1,p2,p3,p4;
	
	public IfElseStatementFigure() {
		addKeyword("if");
		addDelimiter("(");
    	addChildPlace();
    	addDelimiter(")");
		p1 = addDelimiter("{");

		nextRow();
		addIndent();
    	addChildPlace();		

    	nextRow();
    	p2 = addDelimiter("}");
		addKeyword("else");
		p3 = addDelimiter("{");

		nextRow();
		addIndent();
    	addChildPlace();
		
    	nextRow();
    	p4 = addDelimiter("}");
		
		showThenBraces(false);
		showElseBraces(false);
	}
	
	public void showThenBraces(boolean val) {
		p1.setVisible(val);
		p2.setVisible(val);
	}

	public void showElseBraces(boolean val) {
		p3.setVisible(val);
		p4.setVisible(val);
	}
}
