package unibo.cs.labss.editor.il.figures;

import org.eclipse.draw2d.IFigure;

import unibo.cs.labss.editor.figures.GrammarRuleFigure;


/**
 * @author Riccardo Solmi
 */
public class IfStatementFigure extends GrammarRuleFigure {
	IFigure p1,p2;
	
	public IfStatementFigure() {
		addKeyword("if");
		addDelimiter("(");
    	addChildPlace();
    	addDelimiter(")");
		p1 = addDelimiter("{");

		nextRow();
		addIndent();
    	addChildPlace();		
		
    	nextRow();
    	p2 = addDelimiter("}");
		
		showThenBraces(false);
	}
	
	public void showThenBraces(boolean val) {
		p1.setVisible(val);
		p2.setVisible(val);
	}
}
