package unibo.cs.labss.editor.il.model.impl;

import unibo.cs.labss.editor.il.model.Expression;
import unibo.cs.labss.editor.il.model.IntegerExpression;
import unibo.cs.labss.editor.il.model.IILVisitor;

/**
 * @author Riccardo Solmi
 */
public class DivisionExpression extends AbstractBinaryExpression implements IntegerExpression {
	public DivisionExpression() {
		this(null, null);
	}
	public DivisionExpression(Expression exp1, Expression exp2) {
		super(OperatorGroup.MULTIPLICATIVE, exp1, exp2, " / ");
	}

	public void accept(IILVisitor visitor) {
		visitor.visitDivision(this);
	}
}