package unibo.cs.labss.editor.il.model.impl;

import unibo.cs.labss.editor.il.model.BooleanExpression;
import unibo.cs.labss.editor.il.model.Expression;
import unibo.cs.labss.editor.il.model.IILVisitor;

/**
 * @author Riccardo Solmi
 */
public class GreaterThanExpression extends AbstractBinaryExpression implements BooleanExpression {
	public GreaterThanExpression() {
		this(null, null);
	}
	public GreaterThanExpression(Expression exp1, Expression exp2) {
		super(OperatorGroup.RELATIONAL, exp1, exp2, " > ");
	}

	public void accept(IILVisitor visitor) {
		visitor.visitGreaterThan(this);
	}
}