package unibo.cs.labss.editor.il.model.impl;

import unibo.cs.labss.editor.il.model.BooleanExpression;
import unibo.cs.labss.editor.il.model.Expression;
import unibo.cs.labss.editor.il.model.IILVisitor;

/**
 * @author Riccardo Solmi
 */
public class LessThanExpression extends AbstractBinaryExpression implements BooleanExpression {
	public LessThanExpression() {
		this(null, null);
	}
	public LessThanExpression(Expression exp1, Expression exp2) {
		super(OperatorGroup.RELATIONAL, exp1, exp2, " < ");
	}

	public void accept(IILVisitor visitor) {
		visitor.visitLessThan(this);
	}
}