package unibo.cs.labss.editor.il.model.impl;

import unibo.cs.labss.editor.il.model.Expression;
import unibo.cs.labss.editor.il.model.IILVisitor;
import unibo.cs.labss.editor.il.model.LogicalExpression;

/**
 * @author Riccardo Solmi
 */
public class OrExpression extends AbstractBinaryExpression implements LogicalExpression {
	public OrExpression() {
		this(null, null);
	}
	public OrExpression(Expression exp1, Expression exp2) {
		super(OperatorGroup.LOGICAL_OR, exp1, exp2, " | ");
	}

	public void accept(IILVisitor visitor) {
		visitor.visitOr(this);
	}
}