package unibo.cs.labss.editor.il.parts;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.draw2d.IFigure;

import unibo.cs.labss.editor.il.figures.UnaryExpressionFigure;
import unibo.cs.labss.editor.il.model.impl.NotExpression;
import unibo.cs.labss.editor.parts.AbstractPart;


public class NotExpressionPart extends AbstractPart {
	protected IFigure createFigure() {
		return new UnaryExpressionFigure("!");
	}
	
	protected NotExpression getNotExpression() {
		return (NotExpression)getModel();
	}	
	
	protected List getModelChildren() {
		List list = new ArrayList(1);
		list.add(getNotExpression().getExp());
		return list;
	}
}